Create Administrator
CreateAdministrator grants an administrator role to a user for a specific resource.
Note that the roles are specific to the resource type. This means that if you want to grant a user the administrator role for an organization and a project, you need to create two administrator roles.
Required permissions depend on the resource type:
- "iam.member.write" for instance administrators
- "org.member.write" for organization administrators
- "project.member.write" for project administrators
- "project.grant.member.write" for project grant administrators
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/zitadel.internal_permission.v2.InternalPermissionService/CreateAdministrator" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{ "userId": "string", "resource": { "instance": true }, "roles": [ "string" ] }'{
"creationDate": "2023-01-15T01:30:15.01Z"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Was this page helpful?
Internal_permission API
Explore the Internal_permission API operation in the ZITADEL API. Learn about request parameters, response schemas, and integration details for this endpoint.
Delete Administrator
Delete Administrator: DeleteAdministrator revokes an administrator role from a user. In case the administrator role is not found, the request will return a successful response as the desired state is already achieved. Y...